<?php
/*
	Cryptographp : Plugin for GuppY 4.5
	under CeCILL v2 Free Software Agreement

	Copyright (C) 2007 by  HPSAM for plork part
	Web site = http://www.hpsam.info

	Cryptographp v1.4
	under CeCILL v2 Free Software Agreement
	(c) 2006-2007 Sylvain BRISON
*/
if (stristr($_SERVER["SCRIPT_NAME"], 'cp-config.inc')) {
	header("location:../index.php");
	die();
}

if ($cp_apparence == '') $cp_apparence = 'default';
if ($cp_utiliser) {
	include (CHEMIN.'admin/plugins/cryptographp/inc/cp-save.inc');
}
elseif ($cp_sauver){
  $cp_apparence == 'default';
	include (CHEMIN.'admin/plugins/cryptographp/inc/cp-save.inc');
	include (CHEMIN.'admin/plugins/cryptographp/inc/cp-savedefault.inc');
}
else {
	if ($cp_creer && is_file(CHEMIN.DATAREP.'plugins/cryptographp/'.$cp_apparence.'-cfg.inc')) {
		include (CHEMIN.DATAREP.'plugins/cryptographp/'.$cp_apparence.'-cfg.inc');
		$cp_cryptwidth = $cryptwidth; $cp_cryptheight = $cryptheight;
		$cp_bgR = $bgR; $cp_bgG = $bgG; $cp_bgB = $bgB;
		$cp_bgclear = $bgclear; $cp_bgimg = $bgimg; $cp_bgframe = $bgframe;
		$cp_charR = $charR; $cp_charG = $charG; $cp_charB = $charB;
		$cp_charcolorrnd = $charcolorrnd; $cp_charcolorrndlevel = $charcolorrndlevel;
		$cp_charclear = $charclear;
		$cp_tfont = $tfont;
		$cp_crypteasy = $crypteasy;
		$cp_charnbmin = $charnbmin; $cp_charnbmax = $charnbmax;
		$cp_charspace = $charspace; $cp_charsizemin = $charsizemin; $cp_charsizemax = $charsizemax;
		$cp_charanglemax = $charanglemax; $cp_charup = $charup;
		$cp_noisepxmin = $noisepxmin; $cp_noisepxmax = $noisepxmax;
		$cp_noiselinemin = $noiselinemin; $cp_noiselinemax = $noiselinemax;
		$cp_nbcirclemin = $nbcirclemin; $cp_nbcirclemax = $nbcirclemax;
		$cp_noisecolorchar  = $noisecolorchar; $cp_brushsize = $brushsize; $cp_noiseup = $noiseup;
	}
	else {
		// initialisation des variables
		$cp_apparence = (isset($cp_cfg[1]))?$cp_cfg[1]:'';
		$cp_cryptwidth = ''; $cp_cryptheight = '';
		$cp_bgR = ''; $cp_bgG = ''; $cp_bgB = '';
		$cp_bgclear = false; $cp_bgimg = ''; $cp_bgframe = false;
		$cp_charR =''; $cp_charG =''; $cp_charB ='';
		$cp_charcolorrnd = false; $cp_charcolorrndlevel = '';
		$cp_charclear = '';
		$cp_tfont = array();
		$cp_crypteasy = '';
		$cp_charnbmin = ''; $cp_charnbmax = '';
		$cp_charspace = ''; $cp_charsizemin = ''; $cp_charsizemax = '';
		$cp_charanglemax = ''; $cp_charup = false;
		$cp_noisepxmin = ''; $cp_noisepxmax = '';
		$cp_noiselinemin = ''; $cp_noiselinemax = '';
		$cp_nbcirclemin = ''; $cp_nbcirclemax = '';
		$cp_noisecolorchar  = ''; $cp_brushsize = ''; $cp_noiseup = false;
	}
}

// liste des polices disponibles
// list of avaible fonts
$cp_tfont_list = array('Alan Den v1.0'=>'Alanden_.ttf',
	'Arial' => 'ARIAL.TTF',
	'B Surfers Plane' => 'bsurp___.ttf',
	'Electric Hermes AOE' => 'ELECHA__.TTF',
	'Lugger Bug' => 'luggerbu.ttf',
	'Rascal' => 'RASCAL__.TTF',
	'Scrawllege' => 'SCRAWL.TTF',
	'Wavy' => 'WAVY.TTF');
// listage des configs
$fichier_cfg = array();
$dossier = opendir(CHEMIN.DATAREP.'plugins/cryptographp/');
while ($fichier = readdir($dossier)) {
	if (is_file(CHEMIN.DATAREP.'plugins/cryptographp/'.$fichier)) {
		if (stristr($fichier, '-cfg') && !stristr($fichier,'default')) {
			$fichier_cfg[] = substr(basename($fichier,'.inc'),0,-4);
		}
	}
}
closedir($dossier);
@sort($fichier_cfg);
?>
<form enctype="multipart/form-data" action="admin.php?lng=<?php echo $lng; ?>&amp;pg=plugin&amp;plug=cryptographp/cryptographp&amp;cpp=cfg" method="post">
<fieldset><legend><?php echo $cp_admin5; ?></legend>
  <label for="cp_apparence"><?php echo $cp_admin6; ?></label>
<script type="text/javascript">
/* <![CDATA[ */
function ChangerPrevisualisation(elt){
	var indiceIndex = elt.selectedIndex;
  document.getElementById('Previsualisation').src = '<?php echo CHEMIN.DATAREP; ?>plugins/cryptographp/'+elt.options[indiceIndex].value+'.png';
  document.getElementById('cp_apparence').selectedIndex = indiceIndex;
}
/* ]]> */
</script>
	<select name="cp_apparence" id="cp_apparence" onchange='ChangerPrevisualisation(this)'>
	<option value="default" <?php if (($cp_apparence == '') || ($cp_apparence == 'default')) echo ' selected="selected"'; ?>><?php echo $cp_admin6b; ?></option>
	<?php
	for ($i = 0; $i < count($fichier_cfg); $i++) {
		echo '	<option value="'.$fichier_cfg[$i].'"'.(($cp_apparence == $fichier_cfg[$i])?' selected="selected"':'').'>'.$fichier_cfg[$i]."</option>\n";
	}
	?>
	</select><br />
  <img alt="Prvisualisation" title="Previsualisation" id="Previsualisation" name="Previsualisation" src="<?php if ($cp_apparence != "") echo CHEMIN.DATAREP.'plugins/cryptographp/'.$cp_apparence.'.png'; ?>" /><br />
	<?php echo $boutonleft; ?><input class="bouton" type="submit" name="cp_utiliser" value="<?php echo $cp_admin46; ?>" /><?php echo $boutonright; ?>&nbsp; &nbsp;
	<?php echo $boutonleft; ?><input class="bouton" type="submit" name="cp_creer" value="<?php echo $cp_admin47; ?>" /><?php echo $boutonright; ?>
</fieldset>
</form>
<form enctype="multipart/form-data" action="admin.php?lng=<?php echo $lng; ?>&amp;pg=plugin&amp;plug=cryptographp/cryptographp&amp;cpp=cfg" method="post">
<fieldset><legend><?php echo $cp_admin7; ?></legend>
	<fieldset><legend><?php echo $cp_admin8; ?></legend>
		<table border="0" cellspacing="0" cellpadding="4px">
			<tr>
				<td><label for="cp_cryptwidth"><?php echo $cp_admin9; ?></label> </td>
				<td><input type="text" maxlength="3" id="cp_cryptwidth" name="cp_cryptwidth" size="3" value="<?php echo $cp_cryptwidth; ?>" /></td>
			</tr>
			<tr>
				<td><label for="cp_cryptheight"><?php echo $cp_admin10; ?></label> </td>
				<td><input type="text" maxlength="3" id="cp_cryptheight" name="cp_cryptheight" size="3" value="<?php echo $cp_cryptheight; ?>" /></td>
			</tr>
			<tr>
				<td><?php echo $cp_admin11; ?></label> </td>
				<td><label for="cp_bgR"> <?php echo $cp_admin12; ?> </label><input type="text" maxlength="3" id="cp_bgR" name="cp_bgR" size="3" value="<?php echo $cp_bgR; ?>" />
				<label for="cp_bgG"> <?php echo $cp_admin13; ?> </label><input type="text" maxlength="3" id="cp_bgG" name="cp_bgG" size="3" value="<?php echo $cp_bgG; ?>" />
				<label for="cp_bgB"> <?php echo $cp_admin14; ?> </label><input type="text" maxlength="3" id="cp_bgB" name="cp_bgB" size="3" value="<?php echo $cp_bgB; ?>" /></td>
			</tr>
			<tr>
				<td><label for="cp_bgclear"><?php echo $cp_admin15; ?></label> </td>
				<td><input type="checkbox" id="cp_bgclear" name="cp_bgclear"<?php echo ($cp_bgclear)?' checked="checked"':''; ?> /></td>
			</tr>
			<tr>
				<td><label for="cp_bgimg"><?php echo $cp_admin16; ?></label> </td>
				<td><input type="text" maxlength="200" id="cp_bgimg" name="cp_bgimg" size="50" value="<?php echo $cp_bgimg; ?>" /></td>
			</tr>
      <tr>
        <td colspan="2" style="padding-left:40px"><dfn><?php echo $cp_admin17; ?></dfn></td>
			</tr>
			<tr>
				<td><label for="cp_bgframe"><?php echo $cp_admin18; ?></label> </td>
				<td><input type="checkbox" id="cp_bgframe" name="cp_bgframe"<?php echo ($cp_bgframe)?' checked="checked"':''; ?> /></td>
			</tr>
		</table>
	</fieldset>
	<fieldset><legend><?php echo $cp_admin19; ?></legend>
		<table border="0" cellspacing="0" cellpadding="4px">
			<tr>
				<td><?php echo $cp_admin20; ?> </td>
				<td><label for="cp_charR"> <?php echo $cp_admin12; ?> </label><input type="text" maxlength="3" id="cp_charR" name="cp_charR" size="3" value="<?php echo $cp_charR; ?>" />
				<label for="cp_charG"> <?php echo $cp_admin13; ?> </label><input type="text" maxlength="3" id="cp_charG" name="cp_charG" size="3" value="<?php echo $cp_charG; ?>" />
				<label for="cp_charB"> <?php echo $cp_admin14; ?> </label><input type="text" maxlength="3" id="cp_charB" name="cp_charB" size="3" value="<?php echo $cp_charB; ?>" /></td>
			</tr>
			<tr>
				<td><label for="cp_charcolorrnd"><?php echo $cp_admin21; ?></label> </td>
				<td><input type="checkbox" id="cp_charcolorrnd" name="cp_charcolorrnd"<?php echo ($cp_charcolorrnd)?' checked="checked"':''; ?> /></td>
			</tr>
			<tr>
				<td><?php echo $cp_admin22; ?> </td>
				<td><input type="radio" id="cp_charcolorrndlevela" name="cp_charcolorrndlevel" value="0"<?php echo ($cp_charcolorrndlevel==0)?' checked="checked"':''; ?> /><label for="cp_charcolorrndlevela"> <?php echo $cp_admin23a; ?></label><br />
				<input type="radio" id="cp_charcolorrndlevelb" name="cp_charcolorrndlevel" value="1"<?php echo ($cp_charcolorrndlevel==1)?' checked="checked"':''; ?> /><label for="cp_charcolorrndlevelb"> <?php echo $cp_admin23b; ?></label><br />
				<input type="radio" id="cp_charcolorrndlevelc" name="cp_charcolorrndlevel" value="2"<?php echo ($cp_charcolorrndlevel==2)?' checked="checked"':''; ?> /><label for="cp_charcolorrndlevelc"> <?php echo $cp_admin23c; ?></label><br />
				<input type="radio" id="cp_charcolorrndleveld" name="cp_charcolorrndlevel" value="3"<?php echo ($cp_charcolorrndlevel==3)?' checked="checked"':''; ?> /><label for="cp_charcolorrndleveld"> <?php echo $cp_admin23d; ?></label><br />
				<input type="radio" id="cp_charcolorrndlevele" name="cp_charcolorrndlevel" value="4"<?php echo ($cp_charcolorrndlevel==4)?' checked="checked"':''; ?> /><label for="cp_charcolorrndlevele"> <?php echo $cp_admin23e; ?></label></td>
			</tr>
			<tr>
				<td><label for="cp_charclear"><?php echo $cp_admin24; ?></label> </td>
				<td><input type="text" maxlength="3" id="cp_charclear" name="cp_charclear" size="3" value="<?php echo $cp_charclear; ?>" /></td>
			</tr>
      <tr>
        <td colspan="2" style="padding-left:40px"><dfn><?php echo $cp_admin25; ?></dfn></td>
			</tr>
			<tr>
				<td><label for="cp_tfont[]"><?php echo $cp_admin26; ?></label><br /><dfn style="padding-left:40px"><?php echo $cp_admin27; ?></dfn></td>
				<td><select id="cp_tfont[]" name="cp_tfont[]" size="8" multiple="multiple">
				  <?php
					foreach ($cp_tfont_list as $cp_policename => $cp_police) {
          	echo '<option value="'.$cp_police.'"'.((in_array($cp_police, $cp_tfont))?' selected="selected"':'').'>'.$cp_policename.'</option>';
					}
					?>
        </select></td>
			</tr>
			<tr>
				<td><label for="cp_crypteasy"><?php echo $cp_admin28; ?></label> </td>
				<td><input type="checkbox" id="cp_crypteasy" name="cp_crypteasy"<?php echo ($cp_crypteasy)?' checked="checked"':''; ?> /></td>
			</tr>
			<tr>
				<td><label for="cp_charnbmin"><?php echo $cp_admin29; ?></label> </td>
				<td><input type="text" maxlength="2" id="cp_charnbmin" name="cp_charnbmin" size="2" value="<?php echo $cp_charnbmin; ?>" /></td>
			</tr>
			<tr>
				<td><label for="cp_charnbmax"><?php echo $cp_admin30; ?></label> </td>
				<td><input type="text" maxlength="2" id="cp_charnbmax" name="cp_charnbmax" size="2" value="<?php echo $cp_charnbmax; ?>" /></td>
			</tr>
			<tr>
				<td><label for="cp_charspace"><?php echo $cp_admin31; ?></label> </td>
				<td><input type="text" maxlength="2" id="cp_charspace" name="cp_charspace" size="2" value="<?php echo $cp_charspace; ?>" /></td>
			</tr>
			<tr>
				<td><label for="cp_charsizemin"><?php echo $cp_admin32; ?></label> </td>
				<td><input type="text" maxlength="2" id="cp_charsizemin" name="cp_charsizemin" size="2" value="<?php echo $cp_charsizemin; ?>" /></td>
			</tr>
			<tr>
				<td><label for="cp_charsizemax"><?php echo $cp_admin33; ?></label> </td>
				<td><input type="text" maxlength="2" id="cp_charsizemax" name="cp_charsizemax" size="2" value="<?php echo $cp_charsizemax; ?>" /></td>
			</tr>
			<tr>
				<td><label for="cp_charanglemax"><?php echo $cp_admin34; ?></label> </td>
				<td><input type="text" maxlength="3" id="cp_charanglemax" name="cp_charanglemax" size="3" value="<?php echo $cp_charanglemax; ?>" /></td>
			</tr>
			<tr>
				<td><label for="cp_charup"><?php echo $cp_admin35; ?></label> </td>
				<td><input type="checkbox" id="cp_charup" name="cp_charup"<?php echo ($cp_charup)?' checked="checked"':''; ?> /></td>
			</tr>
		</table>
	</fieldset>
	<fieldset><legend><?php echo $cp_admin36; ?></legend>
		<table border="0" cellspacing="0" cellpadding="4px">
			<tr>
				<td><label for="cp_noisepxmin"><?php echo $cp_admin37; ?></label> </td>
				<td><input type="text" maxlength="4" id="cp_noisepxmin" name="cp_noisepxmin" size="4" value="<?php echo $cp_noisepxmin; ?>" /></td>
			</tr>
			<tr>
				<td><label for="cp_noisepxmax"><?php echo $cp_admin38; ?></label> </td>
				<td><input type="text" maxlength="4" id="cp_noisepxmax" name="cp_noisepxmax" size="4" value="<?php echo $cp_noisepxmax; ?>" /></td>
			</tr>
			<tr>
				<td><label for="cp_noiselinemin"><?php echo $cp_admin39; ?></label> </td>
				<td><input type="text" maxlength="2" id="cp_noiselinemin" name="cp_noiselinemin" size="2" value="<?php echo $cp_noiselinemin; ?>" /></td>
			</tr>
			<tr>
				<td><label for="cp_noiselinemax"><?php echo $cp_admin40; ?></label> </td>
				<td><input type="text" maxlength="2" id="cp_noiselinemax" name="cp_noiselinemax" size="2" value="<?php echo $cp_noiselinemax; ?>" /></td>
			</tr>
			<tr>
				<td><label for="cp_nbcirclemin"><?php echo $cp_admin41; ?></label> </td>
				<td><input type="text" maxlength="2" id="cp_nbcirclemin" name="cp_nbcirclemin" size="2" value="<?php echo $cp_nbcirclemin; ?>" /></td>
			</tr>
			<tr>
				<td><label for="cp_nbcirclemax"><?php echo $cp_admin42; ?></label> </td>
				<td><input type="text" maxlength="2" id="cp_nbcirclemax" name="cp_nbcirclemax" size="2" value="<?php echo $cp_nbcirclemax; ?>" /></td>
			</tr>
			<tr>
				<td><?php echo $cp_admin43; ?> </td>
				<td><input type="radio" id="cp_noisecolorchara" name="cp_noisecolorchar" value="1"<?php echo ($cp_noisecolorchar==1)?' checked="checked"':''; ?> /><label for="cp_noisecolorchara"> <?php echo $cp_admin43a; ?></label><br />
				<input type="radio" id="cp_noisecolorcharb" name="cp_noisecolorchar" value="2"<?php echo ($cp_noisecolorchar==2)?' checked="checked"':''; ?> /><label for="cp_noisecolorcharb"> <?php echo $cp_admin43b; ?></label><br />
				<input type="radio" id="cp_noisecolorcharc" name="cp_noisecolorchar" value="3"<?php echo ($cp_noisecolorchar==3)?' checked="checked"':''; ?> /><label for="cp_noisecolorcharc"> <?php echo $cp_admin43c; ?></label></td>
			</tr>
			<tr>
				<td><label for="cp_brushsize"><?php echo $cp_admin44; ?></label> </td>
				<td><input type="text" maxlength="2" id="cp_brushsize" name="cp_brushsize" size="2" value="<?php echo $cp_brushsize; ?>" /></td>
			</tr>
			<tr>
				<td><label for="cp_noiseup"><?php echo $cp_admin45; ?></label> </td>
				<td><input type="checkbox" id="cp_noiseup" name="cp_noiseup"<?php echo ($cp_noiseup)?' checked="checked"':''; ?> /></td>
			</tr>
		</table>
	</fieldset>
  <input type="hidden" name="cp_apparence" value="" />
	<?php echo $boutonleft; ?><input class="bouton" type="submit" name="cp_sauver" value="<?php echo $cp_admin48; ?>" /><?php echo $boutonright; ?>
</fieldset>
</form>
<?php
?>